from dataclasses import dataclass, field


@dataclass
class ParselmouthSpectrogram:
	"""
	Objet that determine a Spectrogram thanks to caracteristic
	"""

	timestamps: list[int] = field(default_factory=list)
	frequencies: list[int] = field(default_factory=list)
	data_matrix: list[list[int]] = field(default_factory=list)
